Skip to main content

List Import Jobs (V2)

This operation lists all import jobs of a specific cluster.

POST/v2/vectordb/jobs/import/list
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Acceptstringheader

Use application/json.

Example Value: application/json
Request Body

The request body for listing import jobs; clusterId is required when the request targets a cluster.

clusterIdstringrequired

ID of a specific cluster on Zilliz Cloud.

projectIdstring

The ID of the project to which the database and collection belongs. Setting this to a non-existing project results in an error. You can get the project ID by calling the /v2/projects endpoint, or copy the project ID from the Zilliz Cloud console.

Note
This applies only to on-demand compute clusters and databases on Zilliz Cloud.
Example Value: proj-xxxxxxxxxxxxxxxx
regionIdstring

The ID of the region to which the database and collection belongs. Setting this to a non-existing region results in an error. You can get the region ID by calling the /v2/regions endpoint, or copy the region ID from the Zilliz Cloud console.

Note
This applies only to on-demand compute clusters and databases on Zilliz Cloud.
Example Value: aws-us-west-2
pageSizeinteger<int32>

Number of records to return at each request.

currentPageinteger<int32>

Current page number.

dbNamestring

Name of the database to which the import job belongs.

bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/vectordb/jobs/import/list" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"clusterId": "inxx-xxxxxxxxxxxxxxx"
}'
Responses

Returns a list of import jobs

The successful response body for the import job listing request.

codeinteger<int32>

Response code.

dataobject

Response payload, which is a list of import jobs in detail.

recordsarray

Import task records on the current page.

[]recordsobject

Summary of a single import task.

collectionNamestring

Name of the target collection.

jobIdstring

ID of the import job.

statestring

State of the import task.

countinteger<int32>

Total number of import tasks.

currentPageinteger<int32>

Current page number.

pageSizeinteger<int32>

Number of records per page.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": {
"count": 1,
"currentPage": 1,
"pageSize": 10,
"records": [
{
"collectionName": "test_collection",
"jobId": "job-xxxxxxxxxxxxxxxxxxxxx",
"state": "Completed"
}
]
}
}